# MCS_TokenStatus Class Reference

`#include <mcs.h>`

List of all members.

## Public Types

enum | Enumerations { e_notInUse, e_selfGrabbed, e_otherGrabbed, e_selfInhibited, e_otherInhibited, e_selfRecipient, e_selfGiving, e_otherGiving }

## Public Member Functions

| MCS_TokenStatus (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
MCS_TokenStatus & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum MCS_TokenStatus::Enumerations

Enumerator:

  e_notInUse |
  e_selfGrabbed |
  e_otherGrabbed |
  e_selfInhibited |
  e_otherInhibited |
  e_selfRecipient |
  e_selfGiving |
  e_otherGiving |

## Constructor & Destructor Documentation

MCS_TokenStatus::MCS_TokenStatus | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

MCS_TokenStatus& MCS_TokenStatus::operator= | ( | unsigned | v | ) |

PObject* MCS_TokenStatus::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- mcs.h